Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DSAValidationParameters

    java.lang.Object
      org.bouncycastle.crypto.params.DSAValidationParameters

    public class DSAValidationParameters

extends java.lang.Object

Constructor Summary
`DSAValidationParameters(byte[] seed, int counter)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getCounter()`
`byte[]` | `getSeed()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAValidationParameters

    public DSAValidationParameters(byte[] seed,
                                   int counter)

Method Detail

### getCounter

    public int getCounter()

### getSeed

    public byte[] getSeed()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD